Udostępnij za pośrednictwem


Kube Environments - Get

Description for Get the properties of a Kubernetes Environment.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/kubeEnvironments/{name}?api-version=2025-05-01

URI Parameters

Name In Required Type Description
name
path True

string

Name of the Kubernetes Environment.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

KubeEnvironment

Azure operation completed successfully.

Other Status Codes

DefaultErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Get kube environments by name

Sample request

GET https://management.azure.com/subscriptions/8efdecc5-919e-44eb-b179-915dca89ebf9/resourceGroups/examplerg/providers/Microsoft.Web/kubeEnvironments/jlaw-demo1?api-version=2025-05-01

Sample response

{
  "name": "jlaw-demo1",
  "type": "Microsoft.Web/kubeEnvironments",
  "extendedLocation": {
    "name": "/subscriptions/8efdecc5-919e-44eb-b179-915dca89ebf9/resourceGroups/examplerg/providers/Microsoft.ExtendedLocation/customLocations/testcustomlocation",
    "type": "customLocation"
  },
  "id": "/subscriptions/8efdecc5-919e-44eb-b179-915dca89ebf9/resourceGroups/examplerg/providers/Microsoft.Web/kubeEnvironments/jlaw-demo1",
  "location": "North Central US",
  "properties": {
    "aksResourceID": "/subscriptions/8efdecc5-919e-44eb-b179-915dca89ebf9/resourceGroups/examplerg/providers/Microsoft.ContainerService/managedClusters/jlaw-demo1",
    "appLogsConfiguration": null,
    "arcConfiguration": null,
    "defaultDomain": "jlaw-demo1.k4apps.io",
    "deploymentErrors": null,
    "internalLoadBalancerEnabled": false,
    "provisioningState": "Succeeded",
    "staticIp": "20.42.33.145"
  },
  "tags": {}
}

Definitions

Name Description
AppLogsConfiguration
ArcConfiguration
ContainerAppsConfiguration
createdByType

The type of identity that created the resource.

DefaultErrorResponse

App Service error response.

DefaultErrorResponseError

Error model.

DefaultErrorResponseErrorDetailsItem

Detailed errors.

ExtendedLocation

Extended Location.

FrontEndConfiguration
FrontEndServiceType
KubeEnvironment

A Kubernetes cluster specialized for web workloads by Azure App Service

KubeEnvironmentProvisioningState

Provisioning state of the Kubernetes Environment.

LogAnalyticsConfiguration
StorageType
systemData

Metadata pertaining to creation and last modification of the resource.

AppLogsConfiguration

Name Type Description
destination

string

logAnalyticsConfiguration

LogAnalyticsConfiguration

ArcConfiguration

Name Type Description
artifactStorageAccessMode

string

artifactStorageClassName

string

artifactStorageMountPath

string

artifactStorageNodeName

string

artifactsStorageType

StorageType

frontEndServiceConfiguration

FrontEndConfiguration

kubeConfig

string (password)

ContainerAppsConfiguration

Name Type Description
appSubnetResourceId

string

Resource ID of a subnet for control plane infrastructure components. This subnet must be in the same VNET as the subnet defined in appSubnetResourceId. Must not overlap with the IP range defined in platformReservedCidr, if defined.

controlPlaneSubnetResourceId

string

Resource ID of a subnet for control plane infrastructure components. This subnet must be in the same VNET as the subnet defined in appSubnetResourceId. Must not overlap with the IP range defined in platformReservedCidr, if defined.

daprAIInstrumentationKey

string

Azure Monitor instrumentation key used by Dapr to export Service to Service communication telemetry

dockerBridgeCidr

string

CIDR notation IP range assigned to the Docker bridge network. It must not overlap with any Subnet IP ranges or the IP range defined in platformReservedCidr, if defined.

platformReservedCidr

string

IP range in CIDR notation that can be reserved for environment infrastructure IP addresses. It must not overlap with any other Subnet IP ranges.

platformReservedDnsIP

string

An IP address from the IP range defined by platformReservedCidr that will be reserved for the internal DNS server

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

DefaultErrorResponse

App Service error response.

Name Type Description
error

DefaultErrorResponseError

Error model.

DefaultErrorResponseError

Error model.

Name Type Description
code

string

Standardized string to programmatically identify the error.

details

DefaultErrorResponseErrorDetailsItem[]

Detailed errors.

innererror

string

More information to debug error.

message

string

Detailed error description and debugging information.

target

string

Detailed error description and debugging information.

DefaultErrorResponseErrorDetailsItem

Detailed errors.

Name Type Description
code

string

Standardized string to programmatically identify the error.

message

string

Detailed error description and debugging information.

target

string

Detailed error description and debugging information.

ExtendedLocation

Extended Location.

Name Type Description
name

string

Name of extended location.

type

string

Type of extended location.

FrontEndConfiguration

Name Type Description
kind

FrontEndServiceType

FrontEndServiceType

Value Description
NodePort
LoadBalancer

KubeEnvironment

A Kubernetes cluster specialized for web workloads by Azure App Service

Name Type Description
extendedLocation

ExtendedLocation

Extended Location.

id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

kind

string

Kind of resource.

location

string

The geo-location where the resource lives

name

string

The name of the resource

properties.aksResourceID

string

properties.appLogsConfiguration

AppLogsConfiguration

Cluster configuration which enables the log daemon to export app logs to a destination. Currently only "log-analytics" is supported

properties.arcConfiguration

ArcConfiguration

Cluster configuration which determines the ARC cluster components types. Eg: Choosing between BuildService kind, FrontEnd Service ArtifactsStorageType etc.

properties.containerAppsConfiguration

ContainerAppsConfiguration

Cluster configuration for Container Apps Environments to configure Dapr Instrumentation Key and VNET Configuration

properties.defaultDomain

string

Default Domain Name for the cluster

properties.deploymentErrors

string

Any errors that occurred during deployment or deployment validation

properties.environmentType

string

Type of Kubernetes Environment. Only supported for Container App Environments with value as Managed

properties.internalLoadBalancerEnabled

boolean

Only visible within Vnet/Subnet

properties.provisioningState

KubeEnvironmentProvisioningState

Provisioning state of the Kubernetes Environment.

properties.staticIp

string

Static IP of the KubeEnvironment

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

tags

object

Resource tags.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

KubeEnvironmentProvisioningState

Provisioning state of the Kubernetes Environment.

Value Description
Succeeded
Failed
Canceled
Waiting
InitializationInProgress
InfrastructureSetupInProgress
InfrastructureSetupComplete
ScheduledForDelete
UpgradeRequested
UpgradeFailed

LogAnalyticsConfiguration

Name Type Description
customerId

string

sharedKey

string (password)

StorageType

Value Description
LocalNode
NetworkFileSystem

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.